org.springframework.data.convert

## Interface ConverterBuilder.ConverterAware

All Superinterfaces:
  ConverterBuilder, ConverterBuilder.ReadingConverterAware, ConverterBuilder.WritingConverterAware

Enclosing interface:
  ConverterBuilder

    public static interface ConverterBuilder.ConverterAware
    extends ConverterBuilder, ConverterBuilder.ReadingConverterAware, ConverterBuilder.WritingConverterAware

A `ConverterBuilder` aware of both a reading and writing converter.

Since:
  2.0
Author:
  Oliver Gierke

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.convert.ConverterBuilder

`ConverterBuilder.ConverterAware, ConverterBuilder.ReadingConverterAware, ConverterBuilder.ReadingConverterBuilder<T,S>, ConverterBuilder.WritingConverterAware, ConverterBuilder.WritingConverterBuilder<S,T>`

### Method Summary

### Methods inherited from interface org.springframework.data.convert.ConverterBuilder

`getConverters, reading, writing`

### Methods inherited from interface org.springframework.data.convert.ConverterBuilder.ReadingConverterAware

`getReadingConverter`

### Methods inherited from interface org.springframework.data.convert.ConverterBuilder.WritingConverterAware

`getWritingConverter`